Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tiles
Enum Attribute.AttributeType

    java.lang.Object
      java.lang.Enum<Attribute.AttributeType>
          org.apache.tiles.Attribute.AttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Attribute.AttributeType>

Enclosing class:
  Attribute

Deprecated. Use `Attribute.setRenderer(String)` and `Attribute.getRenderer()`.

    public static enum Attribute.AttributeType

extends java.lang.Enum<Attribute.AttributeType>

Attribute types.

Enum Constant Summary
`DEFINITION` Deprecated. Attribute of type definition.
`OBJECT` Deprecated. Attribute of type object.
`STRING` Deprecated. Attribute of type string.
`TEMPLATE` Deprecated. Attribute of type template.

Method Summary
`static Attribute.AttributeType` | `getType(java.lang.String stringRepresentation)` Deprecated. Returns the type for the given string representation.
`java.lang.String` | `toString()` Deprecated. Returns the string representation of the element.
`static Attribute.AttributeType` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static Attribute.AttributeType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final Attribute.AttributeType STRING

  Deprecated.
  Attribute of type string.

### DEFINITION

    public static final Attribute.AttributeType DEFINITION

  Deprecated.
  Attribute of type definition.

### TEMPLATE

    public static final Attribute.AttributeType TEMPLATE

  Deprecated.
  Attribute of type template.

### OBJECT

    public static final Attribute.AttributeType OBJECT

  Deprecated.
  Attribute of type object.

Method Detail

### values

    public static Attribute.AttributeType[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Attribute.AttributeType c : Attribute.AttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Attribute.AttributeType valueOf(java.lang.String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getType

    public static Attribute.AttributeType getType(java.lang.String stringRepresentation)

  Deprecated.
  Returns the type for the given string representation.

  Parameters:
    `stringRepresentation` - The string representation of the needed type.
  Returns:
    The corresponding attribute type, if found, or `null` if not.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns the string representation of the element.

  Overrides:
    `toString` in class `java.lang.Enum<Attribute.AttributeType>`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.